多款Cisco产品FXOS Software和NX-OS Software Discovery Protocol组件输入验证漏洞

CVE编号

CVE-2018-0303

利用情况

暂无

补丁情况

N/A

披露时间

2018-06-22
漏洞描述
Cisco Firepower 4100 Series Next-Generation Firewalls等都是美国思科(Cisco)公司的产品。Cisco Firepower 4100 Series Next-Generation Firewalls是一款4100系列的防火墙设备。Nexus 1000V Series Switches是一款1000V系列的交换机设备。FXOS Software是一套运行在思科安全设备中的防火墙软件。NX-OS Software是运行在思科交换机设备中的一套数据中心级操作系统软件。Discovery Protocol是其中的一个Cisco设备发现协议组件。

多款Cisco产品中的FXOS Software和NX-OS Software的Discovery Protocol组件存在输入验证漏洞,该漏洞源于程序未能充分的验证Cisco Discovery Protocol数据包包头。攻击者可通过发送特制的Cisco Discovery Protocol数据包利用该漏洞造成缓冲区溢出,以root用户身份执行任意代码或造成拒绝服务。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20180620-fxnxos-dos
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 cisco fxos * From
(including)
1.1
Up to
(excluding)
1.1.4.179
运行在以下环境
系统 cisco fxos * From
(including)
2.0
Up to
(excluding)
2.0.1.153
运行在以下环境
系统 cisco fxos * From
(including)
2.1.1
Up to
(excluding)
2.1.1.86
运行在以下环境
系统 cisco fxos * From
(including)
2.2.1
Up to
(excluding)
2.2.1.70
运行在以下环境
系统 cisco fxos * From
(including)
2.2.2
Up to
(excluding)
2.2.2.17
运行在以下环境
系统 cisco nx-os 3.1(3a)a -
运行在以下环境
系统 cisco nx-os 7.0(0)hsk(0.357) -
运行在以下环境
系统 cisco nx-os 7.0(3)i4(7) -
运行在以下环境
系统 cisco nx-os 7.0(3)i7(1) -
运行在以下环境
系统 cisco nx-os 8.0(1) -
运行在以下环境
系统 cisco nx-os 8.1(0.2)s0 -
运行在以下环境
系统 cisco nx-os 8.8(0.1) -
运行在以下环境
系统 cisco nx-os 8.8(3.5)s0 -
运行在以下环境
硬件 cisco firepower_4110 - -
运行在以下环境
硬件 cisco firepower_4120 - -
运行在以下环境
硬件 cisco firepower_4140 - -
运行在以下环境
硬件 cisco firepower_4150 - -
运行在以下环境
硬件 cisco firepower_9300_security_appliance - -
运行在以下环境
硬件 cisco nexus_172tq-xl - -
运行在以下环境
硬件 cisco nexus_2148t - -
运行在以下环境
硬件 cisco nexus_2224tp_ge - -
运行在以下环境
硬件 cisco nexus_2232pp_10ge - -
运行在以下环境
硬件 cisco nexus_2232tm-e_10ge - -
运行在以下环境
硬件 cisco nexus_2232tm_10ge - -
运行在以下环境
硬件 cisco nexus_2248pq_10ge - -
运行在以下环境
硬件 cisco nexus_2248tp-e - -
运行在以下环境
硬件 cisco nexus_2248tp_ge - -
运行在以下环境
硬件 cisco nexus_3016 - -
运行在以下环境
硬件 cisco nexus_3048 - -
运行在以下环境
硬件 cisco nexus_3064-32t - -
运行在以下环境
硬件 cisco nexus_3064-t - -
运行在以下环境
硬件 cisco nexus_3064-x - -
运行在以下环境
硬件 cisco nexus_3100-v - -
运行在以下环境
硬件 cisco nexus_31128pq - -
运行在以下环境
硬件 cisco nexus_3132c-z - -
运行在以下环境
硬件 cisco nexus_3132q - -
运行在以下环境
硬件 cisco nexus_3132q-x - -
运行在以下环境
硬件 cisco nexus_3132q-xl - -
运行在以下环境
硬件 cisco nexus_3164q - -
运行在以下环境
硬件 cisco nexus_3172pq - -
运行在以下环境
硬件 cisco nexus_3172pq-xl - -
运行在以下环境
硬件 cisco nexus_3172tq - -
运行在以下环境
硬件 cisco nexus_3172tq-32t - -
运行在以下环境
硬件 cisco nexus_3232c - -
运行在以下环境
硬件 cisco nexus_3264c-e - -
运行在以下环境
硬件 cisco nexus_3264q - -
运行在以下环境
硬件 cisco nexus_34180yc - -
运行在以下环境
硬件 cisco nexus_3524-x - -
运行在以下环境
硬件 cisco nexus_3524-xl - -
运行在以下环境
硬件 cisco nexus_3548 - -
运行在以下环境
硬件 cisco nexus_3548-x - -
运行在以下环境
硬件 cisco nexus_3548-xl - -
运行在以下环境
硬件 cisco nexus_3636c-r - -
运行在以下环境
硬件 cisco nexus_5000 - -
运行在以下环境
硬件 cisco nexus_5010 - -
运行在以下环境
硬件 cisco nexus_5020 - -
运行在以下环境
硬件 cisco nexus_5548p - -
运行在以下环境
硬件 cisco nexus_5548up - -
运行在以下环境
硬件 cisco nexus_5596t - -
运行在以下环境
硬件 cisco nexus_5596up - -
运行在以下环境
硬件 cisco nexus_56128p - -
运行在以下环境
硬件 cisco nexus_5624q - -
运行在以下环境
硬件 cisco nexus_5648q - -
运行在以下环境
硬件 cisco nexus_5672up - -
运行在以下环境
硬件 cisco nexus_5696q - -
运行在以下环境
硬件 cisco nexus_6001p - -
运行在以下环境
硬件 cisco nexus_6001t - -
运行在以下环境
硬件 cisco nexus_7000 - -
运行在以下环境
硬件 cisco nexus_7700 - -
运行在以下环境
硬件 cisco nexus_92160yc-x - -
运行在以下环境
硬件 cisco nexus_92304qc - -
运行在以下环境
硬件 cisco nexus_9236c - -
运行在以下环境
硬件 cisco nexus_9272q - -
运行在以下环境
硬件 cisco nexus_93108tc-ex - -
运行在以下环境
硬件 cisco nexus_93120tx - -
运行在以下环境
硬件 cisco nexus_93128tx - -
运行在以下环境
硬件 cisco nexus_93180yc-ex - -
运行在以下环境
硬件 cisco nexus_9332pq - -
运行在以下环境
硬件 cisco nexus_9372px - -
运行在以下环境
硬件 cisco nexus_9372tx - -
运行在以下环境
硬件 cisco nexus_9396px - -
运行在以下环境
硬件 cisco nexus_9396tx - -
运行在以下环境
硬件 cisco nexus_9504 - -
运行在以下环境
硬件 cisco nexus_9508 - -
运行在以下环境
硬件 cisco nexus_9516 - -
运行在以下环境
硬件 cisco nexus_c36180yc-r - -
运行在以下环境
硬件 cisco nexus_n9k-c9508-fm-r - -
运行在以下环境
硬件 cisco nexus_n9k-x9636c-r - -
运行在以下环境
硬件 cisco nexus_n9k-x9636q-r - -
运行在以下环境
硬件 cisco ucs_6120xp - -
运行在以下环境
硬件 cisco ucs_6140xp - -
运行在以下环境
硬件 cisco ucs_6248up - -
运行在以下环境
硬件 cisco ucs_6296up - -
运行在以下环境
硬件 cisco ucs_6324 - -
运行在以下环境
硬件 cisco ucs_6332 - -
CVSS3评分
8.8
  • 攻击路径
    相邻
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况